### Class

# WebKit2 ResponsePolicyDecision

#### Description [src]

    class WebKit2.ResponsePolicyDecision : WebKit2.PolicyDecision
    {
      priv: WebKitResponsePolicyDecisionPrivate*
    }

A policy decision for resource responses.

WebKitResponsePolicyDecision represents a policy decision for a resource response, whether from the network or the local system. A very common use case for these types of decision is deciding whether or not to download a particular resource or to load it normally.

#### Ancestors

- WebKitPolicyDecision
- GObject

#### Instance methods

###### webkit_response_policy_decision_get_request

Return the `WebKitURIRequest` associated with the response decision.

###### webkit_response_policy_decision_get_response

Gets the value of the `WebKitResponsePolicyDecision:response` property.

###### webkit_response_policy_decision_is_main_frame_main_resource

Gets whether the request is the main frame main resource.

since: 2.40

###### webkit_response_policy_decision_is_mime_type_supported

Gets whether the MIME type of the response can be displayed in the `WebKitWebView`.

since: 2.4

##### Methods inherited from WebKitPolicyDecision (4)

###### webkit_policy_decision_download

Spawn a download from this decision.

###### webkit_policy_decision_ignore

`WebKitResponsePolicyDecision`, this would cancel the request.

###### webkit_policy_decision_use

Accept the action which triggered this decision.

###### webkit_policy_decision_use_with_policies

Accept the navigation action and continue with provided `policies`.

since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.ResponsePolicyDecision:request

This property contains the `WebKitURIRequest` associated with this policy decision.

###### WebKit2.ResponsePolicyDecision:response

This property contains the `WebKitURIResponse` associated with this policy decision.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2ResponsePolicyDecisionClass {
      WebKitPolicyDecisionClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: WebKitPolicyDecisionClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.